Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMemberStatusAdministrator

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMemberStatus
it.tdlight.jni.TdApi.ChatMemberStatusAdministrator

Enclosing class:
  TdApi

public static final class TdApi.ChatMemberStatusAdministrator extends TdApi.ChatMemberStatus
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canBeEdited`
True, if the current user can edit the administrator privileges for the called user.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`customTitle`
A custom title of the administrator; 0-16 characters without emojis; applicable to supergroups only.
`TdApi.ChatAdministratorRights`
`rights`
Rights of the administrator.

## Constructor Summary

Constructors
Constructor
Description
`ChatMemberStatusAdministrator()`
The user is a member of the chat and has some additional privileges.
`ChatMemberStatusAdministrator(DataInput input)`
The user is a member of the chat and has some additional privileges.
`ChatMemberStatusAdministrator(String customTitle, boolean canBeEdited, TdApi.ChatAdministratorRights rights)`
The user is a member of the chat and has some additional privileges.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### customTitle

public String customTitle
A custom title of the administrator; 0-16 characters without emojis; applicable to supergroups only.

### canBeEdited

public boolean canBeEdited
True, if the current user can edit the administrator privileges for the called user.

### rights

public TdApi.ChatAdministratorRights rights
Rights of the administrator.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatMemberStatusAdministrator

public ChatMemberStatusAdministrator()
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

### ChatMemberStatusAdministrator

public ChatMemberStatusAdministrator(String customTitle, boolean canBeEdited, TdApi.ChatAdministratorRights rights)
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

Parameters:
  `customTitle` - A custom title of the administrator; 0-16 characters without emojis; applicable to supergroups only.
  `canBeEdited` - True, if the current user can edit the administrator privileges for the called user.
  `rights` - Rights of the administrator.

### ChatMemberStatusAdministrator

public ChatMemberStatusAdministrator(DataInput input) throws IOException
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`